# Get Wallets List

The API retrieves wallets' details and fetches comprehensive information about all the wallets associated with the organization account.

<mark style="color:blue;">**`GET`**</mark> /payments/wallets

**Body Parameters Request**

<table><thead><tr><th width="117">Name</th><th>Location</th><th>Type</th><th>Format / Values</th><th>Description</th></tr></thead><tbody><tr><td>id</td><td>url params</td><td>string</td><td></td><td>The id of the wallet</td></tr><tr><td>active_only</td><td>url params</td><td>boolean</td><td> </td><td>If active_only is set to true, only active wallets will be returned. If active_only is set to false, all existing wallets will be returned.</td></tr><tr><td>currency</td><td>url params</td><td>array</td><td>string:/^[A-Z]{3,3}$/</td><td>list of currency codes to filter by</td></tr><tr><td>tag:*</td><td>url params</td><td>object</td><td> </td><td>a key/values[] set of user tags to filter wallets by</td></tr><tr><td>skip</td><td>url params</td><td>integer</td><td> </td><td>number of items to skip in the result set</td></tr><tr><td>take</td><td>url params</td><td>integer</td><td> </td><td>number of items to return from result set (defaults to 50)</td></tr></tbody></table>

**Body Parameters Response**

| Name                | Type    | Format / Values                   | Description                                                                     |
| ------------------- | ------- | --------------------------------- | ------------------------------------------------------------------------------- |
| items               | array   | object                            |                                                                                 |
| items\[].type       | string  |                                   | Entity type (wallet)                                                            |
| items\[].id         | string  |                                   | Unique id of wallet                                                             |
| items\[].currency   | string  |                                   | 3 letter ISO currency code used by wallet                                       |
| items\[].name       | string  |                                   | User given name of wallet                                                       |
| items\[].owner      | string  |                                   | id of legal entity owning this wallet                                           |
| items\[].funding    | object  |                                   | Funding account information (banking info needed to send money to wallet)       |
| items\[].balance    | integer |                                   | If wallet state is ACTIVE, returns the current available ballance of the wallet |
| items\[].user\_tags | object  |                                   | A k/v part of user tags assigned to the wallet                                  |
| items\[].state      | string  | DISABLED, REQUIRES\_INPUT, ACTIVE | The current state of the wallet                                                 |
| paging              | object  |                                   |                                                                                 |
| paging.take         | integer |                                   | number of items requested to be returned from the result set                    |
| paging.skip         | integer |                                   | Number of items requested to skip from the result set                           |

**Response**

{% tabs %}
{% tab title="200 - OK" %}

```json
{
   "items": [
      {
         "id": "1b15bd2e-2ccb-453e-a873-33eb1230a225",
         "currency": "USD",
         "name": "Demo USD Wallet",
         "type": "wallet",
         "owner": "entity://business/customer/demo:standalone:1708959835/legal/7ed4e296-3b8f-43f1-9e33-9de88cadc35a",
         "funding": {
            "name": "RONKIֹ LTD CMA - EUR",
            "country": "GB",
            "account_number": "UKNWBK60161529100039",
            "bic": "CHASGB2L",
            "iban": "UKNWBK60161529100039"
         },
         "balance": 120000,
         "user_tags": {
            "department": "sales"
         },
         "state": "ACTIVE"
      },
      {
         "id": "1fd071bc-df1e-4947-a162-d50c39629204",
         "currency": "GBP",
         "name": "Demo GBP Wallet",
         "type": "wallet",
         "owner": "entity://business/customer/demo:standalone:1708959835/legal/7ed4e296-3b8f-43f1-9e33-9de88cadc35a",
         "funding": {
            "country": "GB",
            "account_number": "GBAB1236bb7f",
            "iban": "GBAB1236bb7f",
            "coffee": "ES",
            "name": "RAUL LTD CMA - EUR",
            "bic": "CHASGB2L"
         },
         "balance": 120000,
         "user_tags": {},
         "state": "ACTIVE"
      },
      {
         "id": "bcc045d6-ea6f-4830-939e-a0e8b5e17f08",
         "currency": "EUR",
         "name": "Demo EUR Wallet",
         "type": "wallet",
         "owner": "entity://business/customer/demo:standalone:1708959835/legal/7ed4e296-3b8f-43f1-9e33-9de88cadc35a",
         "funding": {
            "name": "POIKN LTD CMA - EUR",
            "country": "GB",
            "account_number": "UKNWBK601614291000019",
            "bic": "CHASGB2L",
            "iban": "UKNWBK601614291000019"
         },
         "balance": 120000,
         "user_tags": {},
         "state": "ACTIVE"
      }
   ],
   "paging": {
      "skip": 0,
      "take": 50
   }
}
```

{% endtab %}

{% tab title="400 - Bad Request" %}

```json
{
  "error": "bad_request",
  "description": "Validation errors: \"/^[A-Z]{3,3}$/\" at #/filter/currency/0 failed against #/properties/filter/properties/currency/items with \"Did not match pattern: ^[A-Z]{3,3}$\"",
  "error_code": 400
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.papayaglobal.com/api-reference/wallets-management/get-wallets-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
